/***********************************************************************
**                                                                    **
**  listing_6_5.c                                                     **
**                                                                    **
**  Three labels and a Bulletin Board. This program demonstrates the  **
**  use of XmBulletinBoard.                                           **
**                                                                    **
***********************************************************************/


#include <Xm/BulletinB.h>
#include <Xm/Label.h>


Widget	appshell,			/* Application Shell	      */
	the_bb,				/* The Bulletin Board	      */
	labels[3];			/* The children		      */


void main( argc, argv )
    int     argc;
    char    *argv[];
{
    appshell = XtInitialize( argv[0], "Listing_6_05", NULL, 0, &argc, argv );

    the_bb = XmCreateBulletinBoard( appshell, "TheBB", NULL, 0 );
    XtManageChild( the_bb );

    labels[0] = XmCreateLabel( the_bb, "Label_0", NULL, 0 );
    labels[1] = XmCreateLabel( the_bb, "Label_1", NULL, 0 );
    labels[2] = XmCreateLabel( the_bb, "Label_2", NULL, 0 );
    XtManageChildren( labels, 3 );

    XtRealizeWidget( appshell );
    XtMainLoop();
}
