/***********************************************************************
**                                                                    **
**  listing_11_4.c                                                    **
**                                                                    **
**  Frame demo. This program displays four labels inside frames.      **
**                                                                    **
***********************************************************************/


#include <Xm/BulletinB.h>
#include <Xm/Frame.h>
#include <Xm/Label.h>


Widget	appshell,			/* The Application Shell      */
	the_bb,				/* The Bulletin Board	      */
	frames[4],			/* Frames for the Labels      */
	labels[4];			/* The labels themselves      */


void main( argc, argv )
    int     argc;
    char    *argv[];
{
    appshell = XtInitialize( argv[0], "Listing_11_4", NULL, 0, &argc, argv );

    the_bb = XmCreateBulletinBoard( appshell, "TheBB", NULL, 0 );
    XtManageChild( the_bb );

    frames[0] = XmCreateFrame( the_bb, "Frame_0", NULL, 0 );
    frames[1] = XmCreateFrame( the_bb, "Frame_1", NULL, 0 );
    frames[2] = XmCreateFrame( the_bb, "Frame_2", NULL, 0 );
    frames[3] = XmCreateFrame( the_bb, "Frame_3", NULL, 0 );
    XtManageChildren( frames, 4 );

    labels[0] = XmCreateLabel( frames[0], "Lbl_0", NULL, 0 );
    XtManageChild( labels[0] );
    labels[1] = XmCreateLabel( frames[1], "Lbl_1", NULL, 0 );
    XtManageChild( labels[1] );
    labels[2] = XmCreateLabel( frames[2], "Lbl_2", NULL, 0 );
    XtManageChild( labels[2] );
    labels[3] = XmCreateLabel( frames[3], "Lbl_3", NULL, 0 );
    XtManageChild( labels[3] );

    XtRealizeWidget( appshell );
    XtMainLoop();
}
